<script lang="ts">
import { defineComponent } from 'vue';
import JIcon from '@new-jira-clone/ui/src/components/icon/JIcon';

export default defineComponent({
  name: 'JOption',
  components: {
    JIcon,
  },
  props: {
    value: {
      type: [Number, String, Object],
      required: true,
    },
    active: {
      type: Boolean,
      default: false,
    },
  },
});
</script>

<template>
  <slot :active="active" />
</template>

<style lang="scss" scoped>
@import './variables.scss';

.checkbox-icon {
  margin-right: map-get($j-option, margin-right);
  width: map-get($j-option, width);
  height: map-get($j-option, height);
  min-width: map-get($j-option, width);
  min-height: map-get($j-option, height);
  fill: map-get($j-option, fill);

  &.active {
    fill: rgb(var(--j-primary-color));
  }

  &:active {
    background-color: var(--j-primary-light-color);
  }
}
</style>
